Summary   	: Programs which control basic system processes.
Name	  	: sysvinit
Version	  	: 2.78
Release	  	: %{_release_id}
Source	  	: sysvinit_%{version}-4.tar.gz
Source1		: devpts.sh
Source2		: sysvinit-LICENSE
Source3		: sysvinit.tmpl
Source4		: initscripts.tmpl
Source5		: README.sysvinit
Source6		: devshm.sh
Patch		: sysvinit-2.78-install.patch
Patch1		: sysvinit-hhl.patch
Patch2		: sysvinit-inittab.path
Patch3		: sysvinit-sendsigs.patch
Patch4  	: hhl-inittab.patch
Patch5		: sysvinit-skeleton.patch
Patch6		: sysvinit-single.patch
Patch7		: sysvinit-bootmisc.patch
Patch8		: hhl-inittab-runlevel.patch
Patch9		: sysvinit-fsckswap.diff
Patch10		: sysvinit-mountswap.diff
Patch11		: sysvinit-2.78-cread.patch
Patch12		: sysvinit-inittab-devfs.diff
License 	: GPL
Group	  	: base
Buildroot 	: %{_tmppath}/%{name}-%{_hhl_target_arch}-root
Prefix	  	: %{_hhl_cross_target_dir}
%define _defaultdocdir	%{_hhl_cross_target_dir}%{_hhl_target_doc_dir}
Provides      : /etc/init.d /etc/rc.d/init.d

#
#	SRPM
#
Obsoletes : hhl-target-sysvinit
Obsoletes : hhl-%{_hhl_target_arch}-sysvinit

%description

This is the source RPM for the sysvinit binary packages in Hard Hat Linux.

#
#	RPM
#


%package -n initscripts
Summary		: Scripts executed at boot and when the run level changes.
Group		: System Environment/Base
Requires	: hardhatutils
Provides	: /etc/init.d /etc/rc.d/init.d

Obsoletes : hhl-%{_hhl_target_arch}-initscripts

%description -n initscripts

The scripts in /etc/init.d are run when the system is boot, or when a run 
level changes.


%prep

%target_check

%setup -n sysvinit-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1

# The HHL /etc directory structure for init
mkdir -p debian/etc/init.d
mkdir -p debian/etc/rc.d
mv debian/etc/rc0.d \
	debian/etc/rc.d/rc0.d
mv debian/etc/rc1.d \
	debian/etc/rc.d/rc1.d
mv debian/etc/rc2.d \
	debian/etc/rc.d/rc2.d
mv debian/etc/rc3.d \
	debian/etc/rc.d/rc3.d
mv debian/etc/rc4.d \
	debian/etc/rc.d/rc4.d
mv debian/etc/rc5.d \
	debian/etc/rc.d/rc5.d
mv debian/etc/rc6.d \
	debian/etc/rc.d/rc6.d
mv debian/etc/rcS.d \
	debian/etc/rc.d/rcS.d
ln -s ../init.d debian/etc/rc.d/init.d

install -m 755 %{SOURCE1} debian/etc/init.d/.
install -m 755 %{SOURCE6} debian/etc/init.d/.


%build
PATH=%{_hhl_cross_bin_dir}:$PATH

make -C src CC=%{_hhl_target_toolprefix}gcc LDFLAGS=""


%install
%target_setup
PATH=%{_hhl_cross_bin_dir}:$PATH
rm -rf %{buildroot}

mkdir %{buildroot}%{_hhl_cross_target_dir}/{%{_hhl_target_include_dir},sbin,%{_hhl_target_bin_dir},%{_hhl_target_man_dir}/man{1,3,5,8},%{_hhl_target_sysconf_dir},dev,bin,%{_hhl_target_localstate_dir}/run} -p

ln . objdir -s 

%target_makeinstall -C src ROOT=%{buildroot}%{_hhl_cross_target_dir} INSTALL=install MANDIR=%{_hhl_target_man_dir}

cp -a debian/etc/* %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}
install -m 755 debian/fsck.nfs %{buildroot}%{_hhl_cross_target_dir}/sbin/fsck.nfs
install -m 644 debian/rcS.5 %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man5

install -m 644 debian/etc/default/* %{buildroot}%{_hhl_cross_target_dir}/etc/default/.

# Setup some symlinks
ln -s ../init.d/halt %{buildroot}%{_hhl_cross_target_dir}/etc/rc.d/rc0.d/S90halt
ln -s ../init.d/reboot %{buildroot}%{_hhl_cross_target_dir}/etc/rc.d/rc6.d/S90reboot
ln -s ../init.d/sendsigs %{buildroot}%{_hhl_cross_target_dir}/etc/rc.d/rc0.d/S20sendsigs
ln -s ../init.d/sendsigs %{buildroot}%{_hhl_cross_target_dir}/etc/rc.d/rc6.d/S20sendsigs
ln -s ../init.d/single %{buildroot}%{_hhl_cross_target_dir}/etc/rc.d/rc1.d/S20single

# Not needed!
rm %{buildroot}%{_hhl_cross_target_dir}/etc/init.d/makedev

# Provided by the bsdutils package
rm %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/wall.1

gzip -9 %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man?/*

cp %{SOURCE2} LICENSE
cp %{SOURCE5} README.sysvinit

export HHL_TOOL_PREFIX=%{_hhl_target_toolprefix}

%clean
rm -rf %{buildroot}

%post -n initscripts
%target_script_prefix_setup
# Register the service
(%{_hhl_target_toolprefix}initdconfig --add bootmisc.sh) &> /dev/null \
        || echo "Unable to enable initd service: bootmisc.sh"

(%{_hhl_target_toolprefix}initdconfig --add checkfs.sh) &> /dev/null \
        || echo "Unable to enable initd service: checkfs.sh"

(%{_hhl_target_toolprefix}initdconfig --add checkroot.sh) &> /dev/null \
        || echo "Unable to enable initd service: checkroot.sh"

(%{_hhl_target_toolprefix}initdconfig --add devpts.sh) &> /dev/null \
        || echo "Unable to enable initd service: devpts.sh"

(%{_hhl_target_toolprefix}initdconfig --add devshm.sh) &> /dev/null \
        || echo "Unable to enable initd service: devshm.sh"

(%{_hhl_target_toolprefix}initdconfig --add mountall.sh) &> /dev/null \
        || echo "Unable to enable initd service: mountall.sh"

(%{_hhl_target_toolprefix}initdconfig --add mountswap.sh) &> /dev/null \
        || echo "Unable to enable initd service: mountswap.sh"

(%{_hhl_target_toolprefix}initdconfig --add mountnfs.sh) &> /dev/null \
        || echo "Unable to enable initd service: mountnfs.sh"

(%{_hhl_target_toolprefix}initdconfig --add umountfs) &> /dev/null \
        || echo "Unable to enable initd service: umountfs"

(%{_hhl_target_toolprefix}initdconfig --add umountnfs.sh) &> /dev/null \
        || echo "Unable to enable initd service: umountnfs.sh"

# We only register services, not un-register them.


%files -n sysvinit
%defattr(-,root,root)
%{_hhl_cross_target_dir}/bin/pidof
%{_hhl_cross_target_dir}/sbin/halt
%{_hhl_cross_target_dir}/sbin/init
%{_hhl_cross_target_dir}/sbin/killall5
%{_hhl_cross_target_dir}/sbin/poweroff
%{_hhl_cross_target_dir}/sbin/reboot
%{_hhl_cross_target_dir}/sbin/runlevel
%{_hhl_cross_target_dir}/sbin/shutdown
%{_hhl_cross_target_dir}/sbin/sulogin
%{_hhl_cross_target_dir}/sbin/telinit
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/last
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/lastb
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/mesg
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/utmpdump
# Wall comes from bsdutils
#%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/wall
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/initreq.h
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/*
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man5/initscript.5.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man5/inittab.5.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/*
%config %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/inittab
%doc LICENSE README.sysvinit


%files -n initscripts
%defattr(-,root,root)
# The /etc directory structure for init
%config %dir %{_hhl_cross_target_dir}/etc/default
%config %dir %{_hhl_cross_target_dir}/etc/init.d
%config %dir %{_hhl_cross_target_dir}/etc/rc.d
%config %dir %{_hhl_cross_target_dir}/etc/rc.d/rc0.d
%config %dir %{_hhl_cross_target_dir}/etc/rc.d/rc1.d
%config %dir %{_hhl_cross_target_dir}/etc/rc.d/rc2.d
%config %dir %{_hhl_cross_target_dir}/etc/rc.d/rc3.d
%config %dir %{_hhl_cross_target_dir}/etc/rc.d/rc4.d
%config %dir %{_hhl_cross_target_dir}/etc/rc.d/rc5.d
%config %dir %{_hhl_cross_target_dir}/etc/rc.d/rc6.d
%config %dir %{_hhl_cross_target_dir}/etc/rc.d/rcS.d
%{_hhl_cross_target_dir}/etc/rc.d/init.d
%{_hhl_cross_target_dir}/etc/rc.d/rcS.d/*
%{_hhl_cross_target_dir}/etc/rc.d/rc0.d/*
%{_hhl_cross_target_dir}/etc/rc.d/rc1.d/*
%{_hhl_cross_target_dir}/etc/rc.d/rc6.d/*

%attr(755, root, root) %config %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/default/rcS
%attr(755, root, root) %config %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/init.d/[a-z]*
%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/init.d/README

%{_hhl_cross_target_dir}/sbin/fsck.nfs
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man5/rcS.5.gz
%doc LICENSE


%changelog
* Tue Apr 10 2002 Brian Eliot <source@mvista.com>
- Add patch11.
* Fri Apr 20 2001 Automated script (Steve Kinneberg <skinneberg@mvista.com>)
- Added TCT package description files
* Tue Feb 27 2001 Jeremy Puhlman <jpuhlman@mvista.com>
- first-cut hhl spec file


